summaryrefslogtreecommitdiff
path: root/dev-python
diff options
context:
space:
mode:
authorLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-05-01 06:34:35 +0000
committerLiguros - Gitlab CI/CD [develop] <gitlab@liguros.net>2024-05-01 06:34:35 +0000
commitb4d252c8226276abf629b323b9d82ff8ab27f5dc (patch)
tree14a8a89520e053d4484b7ae0a0aaf9a3f69afe99 /dev-python
parent8053edacbd4abe60567e35218bdbb566a8d79963 (diff)
downloadbaldeagleos-repo-b4d252c8226276abf629b323b9d82ff8ab27f5dc.tar.gz
baldeagleos-repo-b4d252c8226276abf629b323b9d82ff8ab27f5dc.tar.xz
baldeagleos-repo-b4d252c8226276abf629b323b9d82ff8ab27f5dc.zip
Adding metadata
Diffstat (limited to 'dev-python')
-rw-r--r--dev-python/Nuitka/Manifest3
-rw-r--r--dev-python/Nuitka/Nuitka-2.1.5.ebuild52
-rw-r--r--dev-python/Nuitka/Nuitka-2.2.ebuild (renamed from dev-python/Nuitka/Nuitka-2.1.4.ebuild)0
-rw-r--r--dev-python/boto3/Manifest1
-rw-r--r--dev-python/boto3/boto3-1.34.95.ebuild53
-rw-r--r--dev-python/botocore/Manifest1
-rw-r--r--dev-python/botocore/botocore-1.34.95.ebuild67
-rw-r--r--dev-python/cfn-lint/Manifest1
-rw-r--r--dev-python/cfn-lint/cfn-lint-0.87.0.ebuild64
-rw-r--r--dev-python/dask-expr/Manifest1
-rw-r--r--dev-python/dask-expr/dask-expr-1.0.14.ebuild65
-rw-r--r--dev-python/enzyme/enzyme-0.4.1-r3.ebuild4
-rw-r--r--dev-python/gnuplot-py/gnuplot-py-1.8_p8-r1.ebuild2
-rw-r--r--dev-python/google-api-core/Manifest1
-rw-r--r--dev-python/google-api-core/google-api-core-2.19.0.ebuild65
-rw-r--r--dev-python/jsonschema/Manifest1
-rw-r--r--dev-python/jsonschema/jsonschema-4.22.0.ebuild57
-rw-r--r--dev-python/langdetect/Manifest2
-rw-r--r--dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch13
-rw-r--r--dev-python/langdetect/langdetect-1.0.9.ebuild4
-rw-r--r--dev-python/langdetect/metadata.xml10
-rw-r--r--dev-python/mkdocs-git-revision-date-localized-plugin/Manifest1
-rw-r--r--dev-python/mkdocs-git-revision-date-localized-plugin/mkdocs-git-revision-date-localized-plugin-1.2.5.ebuild63
-rw-r--r--dev-python/orjson/Manifest1
-rw-r--r--dev-python/orjson/orjson-3.10.2.ebuild105
-rw-r--r--dev-python/pdm-backend/Manifest1
-rw-r--r--dev-python/pdm-backend/pdm-backend-2.3.0.ebuild69
-rw-r--r--dev-python/pyarrow/pyarrow-16.0.0.ebuild2
-rw-r--r--dev-python/pycxx/pycxx-7.1.7-r1.ebuild2
-rw-r--r--dev-python/pycxx/pycxx-7.1.7.ebuild4
-rw-r--r--dev-python/pycxx/pycxx-7.1.8.ebuild2
-rw-r--r--dev-python/pymongo/Manifest1
-rw-r--r--dev-python/pymongo/pymongo-4.7.1.ebuild156
-rw-r--r--dev-python/pyrate-limiter/Manifest4
-rw-r--r--dev-python/pyrate-limiter/pyrate-limiter-3.2.1.ebuild74
-rw-r--r--dev-python/pyrate-limiter/pyrate-limiter-3.3.0.ebuild74
-rw-r--r--dev-python/pyrate-limiter/pyrate-limiter-3.6.1.ebuild (renamed from dev-python/pyrate-limiter/pyrate-limiter-3.4.1.ebuild)3
-rw-r--r--dev-python/pysvn/pysvn-1.9.18.ebuild4
-rw-r--r--dev-python/pysvn/pysvn-1.9.22.ebuild2
-rw-r--r--dev-python/pytest-subprocess/pytest-subprocess-1.5.0.ebuild4
-rw-r--r--dev-python/pythondialog/pythondialog-3.5.3.ebuild4
-rw-r--r--dev-python/pyzmq/pyzmq-26.0.2.ebuild2
-rw-r--r--dev-python/ruamel-yaml/ruamel-yaml-0.17.40.ebuild4
-rw-r--r--dev-python/ruamel-yaml/ruamel-yaml-0.18.6.ebuild2
-rw-r--r--dev-python/scikit-build-core/scikit-build-core-0.9.3.ebuild2
-rw-r--r--dev-python/shapely/shapely-2.0.4-r1.ebuild (renamed from dev-python/shapely/shapely-2.0.4.ebuild)2
-rw-r--r--dev-python/sqlalchemy/sqlalchemy-2.0.29.ebuild2
-rw-r--r--dev-python/typeguard/typeguard-4.2.1.ebuild2
-rw-r--r--dev-python/weasyprint/Manifest1
-rw-r--r--dev-python/weasyprint/weasyprint-62.0.ebuild47
-rw-r--r--dev-python/yapsy/yapsy-1.12.2-r2.ebuild4
51 files changed, 862 insertions, 249 deletions
diff --git a/dev-python/Nuitka/Manifest b/dev-python/Nuitka/Manifest
index 308932240c82..f0f3794e795e 100644
--- a/dev-python/Nuitka/Manifest
+++ b/dev-python/Nuitka/Manifest
@@ -1,3 +1,2 @@
-DIST Nuitka-2.1.4.tar.gz 3636629 BLAKE2B b5a3f3067e12029c9bd1e9ae60d1c6c6370d929ad38a8092f0150078440c50ed925768e132ac18542eaa3ab4f2198f6773cb79cf51dee68b3dff9bec26cb37ad SHA512 bd7e164bed8943c5ea3e7ff30069ef7b9308cd47486fded22cf1f2a37274f0f6274b2af0cb84ca188e961745b93ab085f937e228ce193a1fff953537d5143205
-DIST Nuitka-2.1.5.tar.gz 3637222 BLAKE2B 1d2b81067cd6877658b4c1665879fe717e10093f635205dd24577ee7039cb20c8151a26378bce639d415987558bc5dc44b0c3e8afa55d202524bff4104b188cd SHA512 ec980c54f7433b87c7e5e3e9d3d6796ec2206c5cb855433146cdeeb64138c2248fa77c2559c1a6e818be9f9977d8bc3b441955c6f63f739b8810ee2d72305a1f
DIST Nuitka-2.1.6.tar.gz 3637189 BLAKE2B c3ec642ab8b3edfba12133622619082abade48d98bf5c053882fa037fdbe422f22d10f1008179683fc1091b2a7feed7ec406f85485b1f8a216d4e97343296051 SHA512 13eeec833c66a03f4e82c0b5ab543c6622364a99f23b28cfeb63c2658d542ec1007f700de296e67ccc9c40e0217422cf2f14fcf062b72d5d102a9ae5432588f5
+DIST Nuitka-2.2.tar.gz 3655576 BLAKE2B a5c88da5c585163cf7efcc238697b2c930426674d89203e12dbf2bc00e579c523a74527269039e2a155a13821c5ae4d7022215db88b2ba201f3b13224c3e8223 SHA512 0e21ccbf2c35176e3f1b704f599ef79e65f19529c2de362ae384e61e6b0e5d7e86a8489fe0cb25e6800e169833d50e54853bd6c4bd860c139162e22e39249aff
diff --git a/dev-python/Nuitka/Nuitka-2.1.5.ebuild b/dev-python/Nuitka/Nuitka-2.1.5.ebuild
deleted file mode 100644
index 35ccf652e8e3..000000000000
--- a/dev-python/Nuitka/Nuitka-2.1.5.ebuild
+++ /dev/null
@@ -1,52 +0,0 @@
-# Copyright 1999-2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=setuptools
-PYPI_NO_NORMALIZE=1
-PYTHON_COMPAT=( python3_{8,9,10,11,12} )
-
-inherit distutils-r1 flag-o-matic optfeature pypi
-
-DESCRIPTION="Python to native compiler"
-HOMEPAGE="
- https://nuitka.net/
- https://github.com/Nuitka/Nuitka/
- https://pypi.org/project/Nuitka/
-"
-
-LICENSE="Apache-2.0"
-SLOT="0"
-KEYWORDS="~amd64 ~loong ~x86"
-IUSE="test"
-RESTRICT="!test? ( test )"
-
-RDEPEND="
- dev-build/scons[${PYTHON_USEDEP}]
-"
-BDEPEND="
- ${RDEPEND}
- test? ( dev-util/ccache )
-"
-
-distutils-r1_src_prepare() {
- # remove vendored version of SCons that is Python2 only
- # this should be removed when upstream removes support for Python2
- rm -vR "nuitka/build/inline_copy/lib/scons-2.3.2/SCons" || die
- eapply_user
-}
-
-python_install() {
- distutils-r1_python_install
- doman doc/nuitka.1 doc/nuitka-run.1
-}
-
-python_test() {
- append-ldflags -Wl,--no-warn-search-mismatch
- ./tests/basics/run_all.py search || die
-}
-
-pkg_postinst() {
- optfeature "support for stand-alone executables" dev-util/patchelf
-}
diff --git a/dev-python/Nuitka/Nuitka-2.1.4.ebuild b/dev-python/Nuitka/Nuitka-2.2.ebuild
index 35ccf652e8e3..35ccf652e8e3 100644
--- a/dev-python/Nuitka/Nuitka-2.1.4.ebuild
+++ b/dev-python/Nuitka/Nuitka-2.2.ebuild
diff --git a/dev-python/boto3/Manifest b/dev-python/boto3/Manifest
index 3d7886766396..daed121dc334 100644
--- a/dev-python/boto3/Manifest
+++ b/dev-python/boto3/Manifest
@@ -2,3 +2,4 @@ DIST boto3-1.34.84.gh.tar.gz 796658 BLAKE2B 76ad7997f92167f1ed2f14a0a780a1a58b4a
DIST boto3-1.34.88.gh.tar.gz 798806 BLAKE2B 2d3e02f0584e138a75acb68593bd88126641d4617c668062685406d3dc1913556bdf8b821ed3deb6cd9abae40e27a5e03fda35f5824c40a8028346868776de67 SHA512 9bbff2c0589cb2dbc5ca52f224f052c2a924117f16903c2ecad32d486a8b2d31fb9253c827c5819a5203c3ac349d1c990be24a413fab7e0b9c558e1b94ed8e9e
DIST boto3-1.34.93.gh.tar.gz 802078 BLAKE2B 43f19efd6ae42bdb20e8dd79b1735df229ec2f231b5fe05006b26fcd5ddf4796a53fba6011c298fb919ee7b205b4ae3f4b563ad3b5325bdbbdebaeab7be59608 SHA512 4da1d9d7d8648e895f23763e5055a868d05bbfd8eb28d56e716975b3b8349bd1825d703f6fd11c316174004c39e1fca5ddcd8a4ad27a000e1a52f08a36eb4780
DIST boto3-1.34.94.gh.tar.gz 803022 BLAKE2B fcc522fc68e31fae8086e21740e7ac286f4d2b38caa8a970d7c7851288eec35bd05853410bcfe8bd2bd3a0be52b89386b6c600d9c465ce63470fb0cbe863a345 SHA512 d341e3e3720e4c647e1f5ec578b8f55740f21df4430bbe1ff5e6de11c23126ceb68c956570778af03a0703798468733078c929b75612f6143bd24f929e861fb8
+DIST boto3-1.34.95.gh.tar.gz 804506 BLAKE2B 81bc8a68138e391dca19894fb42eb9c55b155463bf7baa4dbd5ab876d94e6a4174eefe23938990e64bc0e6391e46ab764436c2ef0debb544f204ac1e5321212a SHA512 efc8df42dc0b65061e564ed60996a750e43feb44ef9c71f58dec04e3c2644172f2fc19f01ed877f8c1a29da2ba367bbfb2d77085e5443e9b84ef003de2bf6e50
diff --git a/dev-python/boto3/boto3-1.34.95.ebuild b/dev-python/boto3/boto3-1.34.95.ebuild
new file mode 100644
index 000000000000..509842b2699d
--- /dev/null
+++ b/dev-python/boto3/boto3-1.34.95.ebuild
@@ -0,0 +1,53 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1
+
+DESCRIPTION="The AWS SDK for Python"
+HOMEPAGE="
+ https://github.com/boto/boto3/
+ https://pypi.org/project/boto3/
+"
+SRC_URI="
+ https://github.com/boto/boto3/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ >=dev-python/botocore-${PV}[${PYTHON_USEDEP}]
+ >=dev-python/jmespath-0.7.1[${PYTHON_USEDEP}]
+ >=dev-python/s3transfer-0.10.0[${PYTHON_USEDEP}]
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # don't lock versions to narrow ranges
+ sed -e '/botocore/ d' \
+ -e '/jmespath/ d' \
+ -e '/s3transfer/ d' \
+ -i setup.py || die
+
+ # do not rely on bundled deps in botocore (sic!)
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_python_prepare_all
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/botocore/Manifest b/dev-python/botocore/Manifest
index 6009fe5e61fe..fdf8fca8db3f 100644
--- a/dev-python/botocore/Manifest
+++ b/dev-python/botocore/Manifest
@@ -2,3 +2,4 @@ DIST botocore-1.34.84.gh.tar.gz 12910232 BLAKE2B 3a9f9073e34d203f05ae44f9dc437f4
DIST botocore-1.34.88.gh.tar.gz 12931548 BLAKE2B b3cc4c44ec0fa93798e842226487f293f0206b27a1fad834ecd3d4b02319da7d6ee67fad3a3a168f6dcdf8a822cd778c742d9c975738ef3bf4d9661963a83624 SHA512 bba25daa8c93ad5454e25089c062363b97a80c1004d670be6694b898b6d7735cbb92ec816b138093c48a89fe2bf5972a6d2dcf3da2a617141a460e265e506806
DIST botocore-1.34.93.gh.tar.gz 12982900 BLAKE2B 3225279b85101e04da3be11f01ac3f4ca74cf77235fcb8878bc12d7aca61472155c8319329beb54ffe335f9da9023fb3ccce99256f3a31c6588389dfa1746de9 SHA512 505e8c9b3915b1c2da3863b62c85c392a58c12376c3e71493025445b7b672ba320474087b446fda876ffee5d6260909bc1d1442ff6dbfeb49fd6661d3d7840a1
DIST botocore-1.34.94.gh.tar.gz 12986670 BLAKE2B 27299e44f2acf9d51c056c3612f60dbb11bacd8411272238fe8ac1c89acd84c1a70594877139a71e2892c152b9902456ed0f9868f82e95366871904aea4d757a SHA512 24b4b5e9a2009a3bc9e14ed04aeb3d7d51c3073b38e1b33f95892ec3bacc94562e1b8c69cf17fff38c4a979d2958cc3a88e9be66e098fcb8f67765d22543e75d
+DIST botocore-1.34.95.gh.tar.gz 12998063 BLAKE2B 2616d558d82f022393cf267f9131644310d5a406bfcd9374c52640d998671af40d0407a7e23d21f7571dbdb293a44886760059b770f2b589931be476971c9fff SHA512 b2be04b61d27c30b690f5c6e5504670938bd5d2f13ae6e194ecc77b2b15092726f07a7abf0165fad304c919652c36e9defd8383448a6ce916e995327cd145d7f
diff --git a/dev-python/botocore/botocore-1.34.95.ebuild b/dev-python/botocore/botocore-1.34.95.ebuild
new file mode 100644
index 000000000000..857224b496b7
--- /dev/null
+++ b/dev-python/botocore/botocore-1.34.95.ebuild
@@ -0,0 +1,67 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1
+
+DESCRIPTION="Low-level, data-driven core of boto 3"
+HOMEPAGE="
+ https://github.com/boto/botocore/
+ https://pypi.org/project/botocore/
+"
+SRC_URI="
+ https://github.com/boto/botocore/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86 ~amd64-linux ~x86-linux"
+
+RDEPEND="
+ <dev-python/jmespath-2[${PYTHON_USEDEP}]
+ dev-python/python-dateutil[${PYTHON_USEDEP}]
+ >=dev-python/urllib3-1.25.4[${PYTHON_USEDEP}]
+"
+# unbundled packages
+RDEPEND+="
+ dev-python/requests[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/jsonschema[${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin deps
+ sed -i -e "s:>=.*':':" setup.py || die
+
+ # unbundle deps
+ rm -r botocore/vendored || die
+ find -name '*.py' -exec sed -i \
+ -e 's:from botocore[.]vendored import:import:' \
+ -e 's:from botocore[.]vendored[.]:from :' \
+ {} + || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # rely on bundled six
+ tests/functional/test_six_imports.py::test_no_bare_six_imports
+ tests/functional/test_six_threading.py::test_six_thread_safety
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest tests/{functional,unit}
+}
diff --git a/dev-python/cfn-lint/Manifest b/dev-python/cfn-lint/Manifest
index a6d1fcc7c9ff..a6604744463b 100644
--- a/dev-python/cfn-lint/Manifest
+++ b/dev-python/cfn-lint/Manifest
@@ -1,3 +1,4 @@
DIST cfn-lint-0.86.2.tar.gz 3918328 BLAKE2B c46528a4de5ae26554a5c7099ac87c7b5984bd3b7c602f87991b441b7678442202f9a669814b356efe8dbf9287e7f911ccf6641bb738d0900a9e059915ee536e SHA512 a7f7ce49ea2acfa5c32057ae01c1ed4cf8b9e8caee854ee91a6631b200c289e9cf2169d918fe997ad44f0ab21507894e5d6c5f18a06f563373384da003a139f4
DIST cfn_lint-0.86.3.tar.gz 3909137 BLAKE2B 8fa9e895c444935e655e64b123c0506216640905da4cd133c01ff996fdbccfe02c61f0aa3c96bfc3153084219ded432670cb1482c59c286094c7eade6c548c94 SHA512 a2b93339ad2ed89773c84370953a03c55d09ab421ce2cc4f40d08df7a4fa810a1041c4925a376e4a742be987d4021085a8bc96c56bd65a519f57104dc2c93f62
DIST cfn_lint-0.86.4.tar.gz 3911739 BLAKE2B ea2d58abb78b466371b5a65cda2f5fd06f31eb16eece4d5bb3741f166e0bfb54d35c5d6605f5d9b333876fa1a85916f0aaecab5f0b0bd6b29841a2b5e813ed09 SHA512 71b50058ccdbcccedc92b70ca1af4c5163feb26415a97afad6e39761645423259b4dcdb6a24b517ba494e7474b31909d44399461c6d19834791d5057b14ef886
+DIST cfn_lint-0.87.0.tar.gz 3983928 BLAKE2B 0075120d2fdaf2fe3b1f9141fd995e790b46e869d224875de9b6a866b75a05026b14fb07db1f36876828d4fe1e61dff5664bedc89972bccbaed09e31cba97ac1 SHA512 cf1a86a51980fb4a2701dae58f840beed7c27ebad86d1bb1e4213a82d3b9398e0df06b0ef86d74ee7ed7fc129e21eb323e69300c59cffced85d5f4e2de07db77
diff --git a/dev-python/cfn-lint/cfn-lint-0.87.0.ebuild b/dev-python/cfn-lint/cfn-lint-0.87.0.ebuild
new file mode 100644
index 000000000000..f30308d1d800
--- /dev/null
+++ b/dev-python/cfn-lint/cfn-lint-0.87.0.ebuild
@@ -0,0 +1,64 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="CloudFormation Linter"
+HOMEPAGE="
+ https://github.com/aws-cloudformation/cfn-lint/
+ https://pypi.org/project/cfn-lint/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/aws-sam-translator-1.87.0[${PYTHON_USEDEP}]
+ dev-python/jsonpatch[${PYTHON_USEDEP}]
+ >=dev-python/jschema-to-python-1.2.3[${PYTHON_USEDEP}]
+ <dev-python/jsonschema-5[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-3.0[${PYTHON_USEDEP}]
+ dev-python/junit-xml[${PYTHON_USEDEP}]
+ <dev-python/networkx-4[${PYTHON_USEDEP}]
+ >dev-python/pyyaml-5.4[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.15.0[${PYTHON_USEDEP}]
+ >=dev-python/regex-2021.7.1[${PYTHON_USEDEP}]
+ >=dev-python/sarif-om-1.0.4[${PYTHON_USEDEP}]
+ >=dev-python/sympy-1.0.0[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin the deps
+ sed -e 's:~=[0-9.]*::' -i setup.py || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # TODO
+ test/unit/module/test_template.py::TestTemplate::test_build_graph
+ # requires git repo
+ test/unit/module/maintenance/test_update_documentation.py::TestUpdateDocumentation::test_update_docs
+ # Internet
+ test/unit/module/formatters/test_formatters.py::TestFormatters::test_sarif_formatter
+ test/unit/module/maintenance/test_update_resource_specs.py::TestUpdateResourceSpecs::test_update_resource_specs_python_3
+ # TODO: it looks as if AWS_DEFAULT_REGION didn't work
+ test/unit/module/core/test_run_cli.py::TestCli::test_bad_config
+ test/unit/module/core/test_run_cli.py::TestCli::test_override_parameters
+ test/unit/module/core/test_run_cli.py::TestCli::test_positional_template_parameters
+ test/unit/module/core/test_run_cli.py::TestCli::test_template_config
+ )
+
+ # from tox.ini
+ local -x AWS_DEFAULT_REGION=us-east-1
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}
diff --git a/dev-python/dask-expr/Manifest b/dev-python/dask-expr/Manifest
index 9d4ec9431499..2452d0574a05 100644
--- a/dev-python/dask-expr/Manifest
+++ b/dev-python/dask-expr/Manifest
@@ -1,4 +1,5 @@
DIST dask-expr-1.0.11.gh.tar.gz 242347 BLAKE2B 38b35e4558fc589738d98b59bcaa378351dfa11110c3a7fd7919b709db1ef5b5b97fd431aa2fc07ba69ec41012c91667873615fea763efee2d8f07b99eee910e SHA512 ddd4cd3582dc843a3dd7702f5a457df44d97b7b3828629d702c209f4b84fc1410b059029f82dc167ebefbf3de148aed7f54ecc69241c179c86bf66f9bbd19f41
DIST dask-expr-1.0.12.gh.tar.gz 253354 BLAKE2B 566075d45e3d3b0521cf686b231c0e17f8f445ac95f81f8f32a10c2627cba62e243c02b4ef8d8eed88771df6ce52f88923c5d6fad94a84f950c33ffc70ea550f SHA512 423797cb6142761bbaf56970f474ecf96b047675c8032f2e73427158320f3dd012e861cd9c86560c75c51b9e1350b1081ad5bd0943cde6522b3c21a799fee307
DIST dask-expr-1.0.13.gh.tar.gz 253953 BLAKE2B a3261ef74ec46835b29223a81ac7a69ae36599af4a092ac87876ca64fc764c1b042b14d39bf624132b2d3623979263ed382f6938793d0d7e1ded7679d0971b32 SHA512 5d32b7cdcc9004ca761ab1c16cccab8bd9487f528d0b09a98b5557ff24bf0a4e432e86b1fcb4e4a1ca78b38848ca85a0b6760a904917141cb73d8d27d80a876c
+DIST dask-expr-1.0.14.gh.tar.gz 254618 BLAKE2B 02da3b565eb484f7caf75c871d032dfdb747fa683fa163178ab4322d7fd23d025a97cb15c21a8b3d5ba4c8fb8721dc552f533c3155f198c6e825a837c43ace9c SHA512 430bbb0fbf06ffb4d22a8753b9850da063cc834337b431ded2c9dc32272d4984b9e2b058ce33a4a76d1c8b42410c5a9315344768cf303bc3aea21cc6ca698f30
DIST dask-expr-1.0.5.gh.tar.gz 239409 BLAKE2B 0fae8540f40cbdead823f300a68df239bb838bb88d34c000b6d29ee451609a4cfc4422586cbf1fc3d2e10b50ffab6e8a2414c14c00635d929d92d7e40b1abff5 SHA512 3baf9e1aca78bc8158bce0e6beb323e511fa5717578bb10bfce27ec38a8f7b6e25b21edeffc669a1ac5f4a987dbbd948bba0f4375f3c5b329d13fab7093708ea
diff --git a/dev-python/dask-expr/dask-expr-1.0.14.ebuild b/dev-python/dask-expr/dask-expr-1.0.14.ebuild
new file mode 100644
index 000000000000..1c0c21cf70ab
--- /dev/null
+++ b/dev-python/dask-expr/dask-expr-1.0.14.ebuild
@@ -0,0 +1,65 @@
+# Copyright 2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1
+
+DESCRIPTION="High Level Expressions for Dask"
+HOMEPAGE="
+ https://github.com/dask/dask-expr/
+ https://pypi.org/project/dask-expr/
+"
+# pypi tarball removes tests, as of 1.0.1
+SRC_URI="
+ https://github.com/dask/dask-expr/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~arm64 ~riscv"
+
+RDEPEND="
+ >=dev-python/dask-2024.4.2[${PYTHON_USEDEP}]
+ >=dev-python/pyarrow-7.0.0[${PYTHON_USEDEP}]
+ >=dev-python/pandas-2[${PYTHON_USEDEP}]
+"
+# TODO: make pandas depend on pyarrow unconditionally? we're having
+# transitive deps here.
+BDEPEND="
+ dev-python/versioneer[${PYTHON_USEDEP}]
+ test? (
+ dev-libs/apache-arrow[parquet,snappy]
+ dev-python/pyarrow[parquet,${PYTHON_USEDEP}]
+ )
+"
+
+EPYTEST_XDIST=1
+distutils_enable_tests pytest
+
+src_prepare() {
+ # unpin
+ sed -i -e '/dask/s:==:>=:' pyproject.toml || die
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local EPYTEST_DESELECT=(
+ # requires distributed
+ 'dask_expr/tests/test_shuffle.py::test_respect_context_shuffle[shuffle]'
+ # TODO
+ dask_expr/tests/test_groupby.py::test_groupby_index_array
+ )
+ local EPYTEST_IGNORE=(
+ # requires distributed
+ dask_expr/io/tests/test_parquet.py
+ dask_expr/tests/test_diagnostics.py
+ )
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}
diff --git a/dev-python/enzyme/enzyme-0.4.1-r3.ebuild b/dev-python/enzyme/enzyme-0.4.1-r3.ebuild
index 41a379362c1a..6864dc328ebf 100644
--- a/dev-python/enzyme/enzyme-0.4.1-r3.ebuild
+++ b/dev-python/enzyme/enzyme-0.4.1-r3.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -15,7 +15,7 @@ HOMEPAGE="
https://pypi.org/project/enzyme/
"
SRC_URI+="
- test? ( mirror://sourceforge/matroska/test_files/matroska_test_w1_1.zip )
+ test? ( https://downloads.sourceforge.net/matroska/test_files/matroska_test_w1_1.zip )
"
LICENSE="Apache-2.0"
diff --git a/dev-python/gnuplot-py/gnuplot-py-1.8_p8-r1.ebuild b/dev-python/gnuplot-py/gnuplot-py-1.8_p8-r1.ebuild
index 7abbcb4f6cac..0d5ec404b11d 100644
--- a/dev-python/gnuplot-py/gnuplot-py-1.8_p8-r1.ebuild
+++ b/dev-python/gnuplot-py/gnuplot-py-1.8_p8-r1.ebuild
@@ -14,7 +14,7 @@ inherit distutils-r1
DESCRIPTION="A python wrapper for Gnuplot"
HOMEPAGE="https://gnuplot-py.sourceforge.net/"
SRC_URI="
- mirror://sourceforge/${PN}/${MYP}.tar.gz
+ https://downloads.sourceforge.net/${PN}/${MYP}.tar.gz
mirror://debian/pool/main/p/${MYPN}/${MYPN}_${PV//_p/-}.debian.tar.xz
"
S="${WORKDIR}/${MYP}"
diff --git a/dev-python/google-api-core/Manifest b/dev-python/google-api-core/Manifest
index 937843d11955..052908d22983 100644
--- a/dev-python/google-api-core/Manifest
+++ b/dev-python/google-api-core/Manifest
@@ -1 +1,2 @@
DIST python-api-core-2.18.0.gh.tar.gz 210938 BLAKE2B 39ccceb2d5722cb4121ba2007cb171e703e97c57d31dd85a6f540f8b0316281255f563b43c1acd6159e6d59b8609603ca9202c9f46b5c86127a9ff0cf3874c19 SHA512 fe57eb8465c1dfe6d83abd73b0c621da49e7e0687afa59f5d4c1c7022cb8a912734859e5895781c239cfe6053ebdbea2dcf55ef6eac371b8ea58fdf0c7c398d5
+DIST python-api-core-2.19.0.gh.tar.gz 210832 BLAKE2B 89947f8e8bda6de96c1778788e72f88c85d7781c4bf3c7fa08b67cd0e9b40e5774a57a5772add9c724a1bddab9ad514ddc605035289466a5648393ca57854321 SHA512 e8fb94428c3d49dcf760a0b9a471fa7fe3d149ebb11f8c12c16a0f68aaf736c5a8553d628834b4456d2419c40cc30010449ae58026271c32bbd32f67857ba31b
diff --git a/dev-python/google-api-core/google-api-core-2.19.0.ebuild b/dev-python/google-api-core/google-api-core-2.19.0.ebuild
new file mode 100644
index 000000000000..fbbe93a13e9a
--- /dev/null
+++ b/dev-python/google-api-core/google-api-core-2.19.0.ebuild
@@ -0,0 +1,65 @@
+# Copyright 2020-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1
+
+MY_P=python-api-core-${PV}
+DESCRIPTION="Core Library for Google Client Libraries"
+HOMEPAGE="
+ https://github.com/googleapis/python-api-core/
+ https://pypi.org/project/google-api-core/
+ https://googleapis.dev/python/google-api-core/latest/index.html
+"
+SRC_URI="
+ https://github.com/googleapis/python-api-core/archive/v${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/googleapis-common-protos-1.56.2[${PYTHON_USEDEP}]
+ >=dev-python/google-auth-1.25.0[${PYTHON_USEDEP}]
+ >=dev-python/proto-plus-1.22.3[${PYTHON_USEDEP}]
+ >=dev-python/protobuf-python-3.19.5[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.18.0[${PYTHON_USEDEP}]
+ <dev-python/requests-3[${PYTHON_USEDEP}]
+ !dev-python/namespace-google
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ dev-python/rsa[${PYTHON_USEDEP}]
+ dev-python/pytest-asyncio[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # failing due to missing grpcio-status
+ tests/asyncio/test_grpc_helpers_async.py::test_wrap_unary_errors
+ tests/asyncio/test_grpc_helpers_async.py::test_wrap_stream_errors_raised
+ tests/asyncio/test_grpc_helpers_async.py::test_wrap_stream_errors_read
+ tests/asyncio/test_grpc_helpers_async.py::test_wrap_stream_errors_aiter
+ tests/asyncio/test_grpc_helpers_async.py::test_wrap_stream_errors_write
+ tests/unit/test_grpc_helpers.py::test_wrap_unary_errors
+ tests/unit/test_grpc_helpers.py::test_wrap_stream_errors_invocation
+ tests/unit/test_grpc_helpers.py::test_wrap_stream_errors_iterator_initialization
+ tests/unit/test_grpc_helpers.py::test_wrap_stream_errors_during_iteration
+)
+
+python_test() {
+ rm -rf google || die
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -p asyncio tests
+}
diff --git a/dev-python/jsonschema/Manifest b/dev-python/jsonschema/Manifest
index cbf323dbc218..f439c644e693 100644
--- a/dev-python/jsonschema/Manifest
+++ b/dev-python/jsonschema/Manifest
@@ -1 +1,2 @@
DIST jsonschema-4.21.1.tar.gz 321491 BLAKE2B 5c8fad04bf62af3f9204818cc5cff88dcc492b7957439be2a2fd8c0731a986c223d1612ab79d47696fa5695224fceacea35b5e699466f14393adc2cf9d89c83f SHA512 b0744a80d64572307860c9238ff5048e062b7665d9ed97dd390bae0b168ab96497f359ddc4e95f052d8b177161e5b808ee432bd9fe182c1ea39cbad417db9278
+DIST jsonschema-4.22.0.tar.gz 325490 BLAKE2B aa0fcd9cb35ffe93d9e7ae940f9fbfc6e20656b09bdec91163ee7120b3495210522c2354dd3e74b33274f61bd9364b6b33f9e6482bac58b2ee0c6dd4bba3658e SHA512 72c9ffd1edf8820696d831062cfae2d38729935b32d12b7fa5171fefa3d38d495b588152c07224a5c9d1f4b9f97bd9b2aa7919d3d4ecdae0ba396e60e954b1c5
diff --git a/dev-python/jsonschema/jsonschema-4.22.0.ebuild b/dev-python/jsonschema/jsonschema-4.22.0.ebuild
new file mode 100644
index 000000000000..7f0e7a523ecb
--- /dev/null
+++ b/dev-python/jsonschema/jsonschema-4.22.0.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=hatchling
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="An implementation of JSON-Schema validation for Python"
+HOMEPAGE="
+ https://pypi.org/project/jsonschema/
+ https://github.com/python-jsonschema/jsonschema/
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+RDEPEND="
+ >=dev-python/attrs-22.2.0[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-specifications-2023.03.6[${PYTHON_USEDEP}]
+ >=dev-python/referencing-0.28.4[${PYTHON_USEDEP}]
+ >=dev-python/rpds-py-0.7.1[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ dev-python/hatch-vcs[${PYTHON_USEDEP}]
+ dev-python/hatch-fancy-pypi-readme[${PYTHON_USEDEP}]
+ test? (
+ !!dev-python/shiboken6
+ )
+"
+
+# formatter deps
+RDEPEND+="
+ dev-python/fqdn[${PYTHON_USEDEP}]
+ dev-python/idna[${PYTHON_USEDEP}]
+ dev-python/isoduration[${PYTHON_USEDEP}]
+ >=dev-python/jsonpointer-1.13[${PYTHON_USEDEP}]
+ dev-python/rfc3339-validator[${PYTHON_USEDEP}]
+ dev-python/rfc3986-validator[${PYTHON_USEDEP}]
+ dev-python/rfc3987[${PYTHON_USEDEP}]
+ dev-python/uri-template[${PYTHON_USEDEP}]
+ >=dev-python/webcolors-1.11[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+EPYTEST_DESELECT=(
+ # requires pip, does not make much sense for the users
+ jsonschema/tests/test_cli.py::TestCLIIntegration::test_license
+ # fragile warning tests
+ jsonschema/tests/test_deprecations.py
+ # wtf?
+ jsonschema/tests/test_jsonschema_test_suite.py::test_suite_bug
+)
diff --git a/dev-python/langdetect/Manifest b/dev-python/langdetect/Manifest
index a11d7c268c91..e9da2ac43cac 100644
--- a/dev-python/langdetect/Manifest
+++ b/dev-python/langdetect/Manifest
@@ -1 +1,3 @@
DIST langdetect-1.0.9.tar.gz 981474 BLAKE2B ea8a9c3f16a2987c080742473bff4f2c1503f53fb3c2b40b0b1d6212bb6133ea22dce7864ffcfb8968c3a46b157d45cb3e2cf6f84bdbed0266cc716a853b032c SHA512 7558d674c47b080c79e43a00a25d2c7f77188cf60bea2cecb3bebb803d75e1aa42b43c74bd26ea1b541f4cb927421908882cbec01a91f0913984217e71ccc8db
+EBUILD langdetect-1.0.9.ebuild 493 BLAKE2B 0df8bce19bc80f79f8e76bcef5a4c2caf333365fe0cb9a3c076b7858bceded5a3e58921474f866a2709dd657b7ed330c1ec4a7f9d7bab0fcf1bc92d77cabc32d SHA512 ea2a1adcb133ac5fc951ba1aa90ef1ce3dfcc424e59727591763d4875aa044a74188be2d15fd89c6b2e83ed6ea04ec3d9851ed584ae79d2c2c127bde7d994b48
+MISC metadata.xml 457 BLAKE2B 630128a3e982b6d60cc7b9f74c79fcb5ee47a71a02c73a50af9da8cedb6fad8e20a7f74b881e5b25c6483b92c9edbd56552cd38b2d9cbfa8b3eb4530facea969 SHA512 674f4f5cd809c6c77bc14e0f5687fa972bef14bdfa0b3343c5d66b7163eef1906eb87d060c8288732f825de71dce291ad0b841a5f2f0dd230f957b5687e45d45
diff --git a/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch b/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch
deleted file mode 100644
index 637368d2f237..000000000000
--- a/dev-python/langdetect/files/langdetect-1.0.9-explicit-config.patch
+++ /dev/null
@@ -1,13 +0,0 @@
-Fix "Package 'langdetect.profiles' is absent from the `packages` configuration."
-
---- a/setup.py
-+++ b/setup.py
-@@ -18,7 +18,7 @@ setup(
- author_email='michal.danilak@gmail.com',
- url='https://github.com/Mimino666/langdetect',
- keywords='language detection library',
-- packages=['langdetect', 'langdetect.utils', 'langdetect.tests'],
-+ packages=['langdetect', 'langdetect.utils', 'langdetect.tests', 'langdetect.profiles'],
- include_package_data=True,
- install_requires=['six'],
- license='MIT',
diff --git a/dev-python/langdetect/langdetect-1.0.9.ebuild b/dev-python/langdetect/langdetect-1.0.9.ebuild
index 630fe63c6f53..c09b7356f549 100644
--- a/dev-python/langdetect/langdetect-1.0.9.ebuild
+++ b/dev-python/langdetect/langdetect-1.0.9.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2022-2024 Gentoo Authors
+# Copyright 2022 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -19,6 +19,4 @@ KEYWORDS="~amd64"
RDEPEND="dev-python/six[${PYTHON_USEDEP}]"
-PATCHES=( "${FILESDIR}/${P}-explicit-config.patch" )
-
distutils_enable_tests unittest
diff --git a/dev-python/langdetect/metadata.xml b/dev-python/langdetect/metadata.xml
index 736a1167c898..020e07f2a3dd 100644
--- a/dev-python/langdetect/metadata.xml
+++ b/dev-python/langdetect/metadata.xml
@@ -1,6 +1,12 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "https://liguros.gitlab.io/dtd/metadata.dtd">
<pkgmetadata>
-
- <origin>gentoo-guru-overlay</origin>
+ <maintainer type="person">
+ <email>marcin.deranek@slonko.net</email>
+ <name>Marcin Deranek</name>
+ </maintainer>
+ <upstream>
+ <bugs-to>https://github.com/Mimino666/langdetect/issues</bugs-to>
+ </upstream>
+ <origin>slonko-overlay</origin>
</pkgmetadata> \ No newline at end of file
diff --git a/dev-python/mkdocs-git-revision-date-localized-plugin/Manifest b/dev-python/mkdocs-git-revision-date-localized-plugin/Manifest
index 5faf6c9bc913..1c46bf53e9eb 100644
--- a/dev-python/mkdocs-git-revision-date-localized-plugin/Manifest
+++ b/dev-python/mkdocs-git-revision-date-localized-plugin/Manifest
@@ -1 +1,2 @@
DIST mkdocs-git-revision-date-localized-plugin-1.2.4.gh.tar.gz 377301 BLAKE2B 1270af27887411088969f086fa5c7426cca7221264c863201cc0fe0a0d3f7a004f9d2ca264d4c4b6e9678c420534d5a18996f5556c3ce3a6761f294e0c629fbd SHA512 24becb98d6f04500935f9f0be21ae1fa39cb8f01afc9d5eb38f320bc3aef4baae345e6d5af768d882fb10b15ffcaba9e2b32fe3430b800ba7097cd27b4ab5657
+DIST mkdocs-git-revision-date-localized-plugin-1.2.5.gh.tar.gz 377312 BLAKE2B 272c4f71ac668500e3f8d9eb9af1b26fdea8378206ddbeaa97076a46b06f3730a2b52eba2155008e5b05f6aa9f1f5b34c35b10732be1879b6d5cd6b9e7be98ed SHA512 5a6c225847cb34af61f296d8ecc75c82f3374301d19718e1b9e79084098466b4cc8759d7efb4ba4331e0c5d53d78d7bd2cbdba4558635efd7e7965d7197a461f
diff --git a/dev-python/mkdocs-git-revision-date-localized-plugin/mkdocs-git-revision-date-localized-plugin-1.2.5.ebuild b/dev-python/mkdocs-git-revision-date-localized-plugin/mkdocs-git-revision-date-localized-plugin-1.2.5.ebuild
new file mode 100644
index 000000000000..cf1f88ff1dd0
--- /dev/null
+++ b/dev-python/mkdocs-git-revision-date-localized-plugin/mkdocs-git-revision-date-localized-plugin-1.2.5.ebuild
@@ -0,0 +1,63 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517="setuptools"
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+DOCS_BUILDER="mkdocs"
+DOCS_DEPEND="
+ dev-python/regex
+ dev-python/mkdocs-static-i18n
+ dev-python/mkdocs-material
+ dev-python/mkdocs-git-authors-plugin
+ dev-python/mkdocs-git-revision-date-localized-plugin
+"
+
+inherit distutils-r1 docs
+
+DESCRIPTION="Display the localized date of the last git modification of a markdown file"
+HOMEPAGE="
+ https://github.com/timvink/mkdocs-git-revision-date-localized-plugin/
+ https://pypi.org/project/mkdocs-git-revision-date-localized-plugin/
+"
+SRC_URI="
+ https://github.com/timvink/${PN}/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~x86"
+
+RDEPEND="
+ >=dev-python/Babel-2.7.0[${PYTHON_USEDEP}]
+ dev-python/GitPython[${PYTHON_USEDEP}]
+ >=dev-python/mkdocs-1.0[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/click[${PYTHON_USEDEP}]
+ dev-python/mkdocs-material[${PYTHON_USEDEP}]
+ dev-python/mkdocs-static-i18n[${PYTHON_USEDEP}]
+ dev-vcs/git
+ )
+ doc? ( dev-vcs/git )
+"
+
+distutils_enable_tests pytest
+
+python_prepare_all() {
+ # mkdocs-git-revision-date-localized-plugin's tests need git repo
+ if use test || use doc; then
+ git init -q || die
+ git config --global user.email "larry@gentoo.org" || die
+ git config --global user.name "Larry the Cow" || die
+ git add . || die
+ git commit -qm 'init' || die
+ fi
+
+ distutils-r1_python_prepare_all
+}
diff --git a/dev-python/orjson/Manifest b/dev-python/orjson/Manifest
index 54c2589151f4..744fde7dd27b 100644
--- a/dev-python/orjson/Manifest
+++ b/dev-python/orjson/Manifest
@@ -27,6 +27,7 @@ DIST num-traits-0.2.18.crate 51930 BLAKE2B 6c40e155d7a52267a7183d8030ef34245492d
DIST once_cell-1.19.0.crate 33046 BLAKE2B c14b374eaf4ac0f60acc2e02f7bba270a0e8e0a6978d749cd3cb0ab3eb26907e4fbea70dd5132982f90290381ed18ff8a87fd530f1415fabffac864f157ea380 SHA512 4154876afd34a699ee650d1a8a1c5ee5a25f0ebd9388b8bef2564e33629fae68f113d7507488c68abbe7ea1acf9bbc41813cbbf3ef3e464e3f3b9cc7a51d870c
DIST orjson-3.10.0.tar.gz 4912978 BLAKE2B 1722f9b7c853bc2ff4dc2199df4390845eb011ef78b6db9669705334a43cbf3048a8b84b6e3bd21064ec36b4655ee86aab2de9781f50e24a709a7a2160f71f57 SHA512 365acde8f4a9f0ebca95d6151abbd6b7846836ecd24a5688f75fc1a936da6cd205cfb251c6b779d95b3c2da4c79a15e8d6963236cdc6d6bf56c345597d8903bd
DIST orjson-3.10.1.tar.gz 4917664 BLAKE2B ee730e23dcf3930bf5a4046c8ea21b5995fef5e244b4ae73dfd6add1606624e22c2628144c5a7c50d498e5857ed785d1f321437449e09839fe3121e3e231df2a SHA512 54b927f407a584b0751403b3473bdb26fa3827e07895a28255b7ef938dc404d36fd388e47ddd0e724916786a3e52ef9fe5f245d8d2732d1cb6880bedb75135cf
+DIST orjson-3.10.2.tar.gz 4930110 BLAKE2B 319a0874081c495d1a2528716cef0d2ae4c896e65644126b674a0a97e0e03d60d2be6ceb6eb0b5249885abc2816416ba2cd1ec3a5ac1fd57a80dcac5f14f9c19 SHA512 c38e78ea1110c00840dbbec1228eb23ccccc81e8d11494172db120d350510d5a5a9a9958e16949284306b8532e05cd03c6dbd82509e2e791c019d4c284ab2099
DIST proc-macro2-1.0.79.crate 47200 BLAKE2B fff8e514d618b8ef60d6a4ca7610607641cb25701fc5e8452e0db5f942a3c38c724acbbfb0474823fe0f4864df07958c1524383e7640105266608f1d5a741368 SHA512 8bfa6fc1022556cbabe0050a37b93c5ef1056ebda9d3dd368e705a7c695df9dfb5cd5adc18ad1eadf7338631ad1d5ed6f63f0adff3616429ef8c50a930b1838f
DIST proc-macro2-1.0.80.crate 48227 BLAKE2B 1b4d2a1d613af8e03fab7a976707ed9ad4809ba50775992df54de10e5b8deabfcce423ca962fbce5c22090421cb0b8b26b8026d56562aa6569a8acfbb49d55de SHA512 d40181bbc4f83ee66be7721e8f89f9a08e368e12a8a0d4c1dcdb1c29cc72b1bcb8da598de1ad1a155a8182026ab7f8365f7a46fc76d589282fbffbd35aa228a0
DIST pyo3-build-config-0.21.0.crate 30535 BLAKE2B 71bc1756e1640456cce58190d90f7c1059b9748d9d72a122dd4e28c74ba96cb9fd2bbd80791d3edf313349cc0fbaa669c8e9cecfc925c9828ac794fda17a6ed4 SHA512 ac1ee7389fe267c28ff67f5d6a23bdba57ad2e0dff16e7ef38bc2bc95d0a2a4aca0b1fe4cac8510163c6c5a44bdac128f36d7b34655dff5f8e690db38e5edc6a
diff --git a/dev-python/orjson/orjson-3.10.2.ebuild b/dev-python/orjson/orjson-3.10.2.ebuild
new file mode 100644
index 000000000000..436abc07776e
--- /dev/null
+++ b/dev-python/orjson/orjson-3.10.2.ebuild
@@ -0,0 +1,105 @@
+# Copyright 2023-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=maturin
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+CRATES="
+ ahash@0.8.11
+ arrayvec@0.7.4
+ associative-cache@2.0.0
+ autocfg@1.2.0
+ beef@0.5.2
+ bytecount@0.6.7
+ castaway@0.2.2
+ cc@1.0.94
+ cfg-if@1.0.0
+ chrono@0.4.34
+ compact_str@0.7.1
+ const-random-macro@0.1.16
+ const-random@0.1.18
+ crunchy@0.2.2
+ encoding_rs@0.8.34
+ getrandom@0.2.14
+ half@2.4.1
+ itoa@1.0.11
+ itoap@1.0.1
+ libc@0.2.153
+ no-panic@0.1.29
+ num-traits@0.2.18
+ once_cell@1.19.0
+ proc-macro2@1.0.80
+ pyo3-build-config@0.21.1
+ pyo3-ffi@0.21.1
+ quote@1.0.36
+ rustversion@1.0.15
+ ryu@1.0.17
+ serde@1.0.197
+ serde_derive@1.0.197
+ serde_json@1.0.115
+ simdutf8@0.1.4
+ smallvec@1.13.2
+ static_assertions@1.1.0
+ syn@2.0.59
+ target-lexicon@0.12.14
+ tiny-keccak@2.0.2
+ unicode-ident@1.0.12
+ version_check@0.9.4
+ wasi@0.11.0+wasi-snapshot-preview1
+ zerocopy-derive@0.7.32
+ zerocopy@0.7.32
+"
+
+inherit cargo distutils-r1 pypi
+
+DESCRIPTION="Fast, correct Python JSON library supporting dataclasses, datetimes, and numpy"
+HOMEPAGE="
+ https://github.com/ijl/orjson/
+ https://pypi.org/project/orjson/
+"
+SRC_URI+="
+ ${CARGO_CRATE_URIS}
+"
+
+LICENSE="|| ( Apache-2.0 MIT )"
+# Dependent crate licenses
+LICENSE+="
+ Apache-2.0-with-LLVM-exceptions BSD CC0-1.0 MIT Unicode-DFS-2016
+ || ( Apache-2.0 Boost-1.0 )
+"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+BDEPEND="
+ >=virtual/rust-1.72
+ test? (
+ dev-python/arrow[${PYTHON_USEDEP}]
+ dev-python/psutil[${PYTHON_USEDEP}]
+ dev-python/pytz[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/numpy[${PYTHON_USEDEP}]
+ ' 'python3*')
+ )
+"
+
+QA_FLAGS_IGNORED=".*"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ # https://github.com/ijl/orjson/issues/480
+ sed -e 's:numpy\.NINF:-numpy.inf:' \
+ -e 's:numpy\.NZERO:-0.0:' \
+ -e 's:numpy\.PZERO:0.0:' \
+ -i test/test_numpy.py || die
+
+ distutils-r1_src_prepare
+}
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest -s
+}
diff --git a/dev-python/pdm-backend/Manifest b/dev-python/pdm-backend/Manifest
index 77caecf2f006..7336afbba102 100644
--- a/dev-python/pdm-backend/Manifest
+++ b/dev-python/pdm-backend/Manifest
@@ -1,3 +1,4 @@
DIST pdm-backend-2.1.8.gh.tar.gz 134738 BLAKE2B 5baf6db7193f27de5aa89e41852c714de7d2aa7fd9f75de9b1f1ebd455052bc9d9d47d95dbbed3436e9e9dae79c9a1d0ec54d71a4437036869de38aa035f0642 SHA512 975dad24d128a01b5484f62aece3b209eb3dddf3800c75e422ed1dd0d4cbe15ce60a155d6ed0cec4104eef47cad822e56a2379c877e3f5c8c719dfa86d8800c7
DIST pdm-backend-2.2.0.gh.tar.gz 135965 BLAKE2B 7e4bfd68fb882caf91c0d7fe4164de9cb37b31ca158b25398a9c129edae42ad8a8ee811fd6819bda861b1412a44ea6c88b2b806b92b2a7bfaf531e947461be58 SHA512 8126b15852c25c27a70f6c39f9067b8617226648578f270c08f8030c2a9c181eb1a9162e17dc9d57a90268c2aad3f02120eb47bc8df674de1060e9de30a05e12
DIST pdm-backend-2.2.1.gh.tar.gz 136401 BLAKE2B 4d761a689f8e3ff5e5cb300d4a2aa76a3ebd7663e0fa34a5d4a1b7ad26ada07e2d8c128b66549cafaa2d86f714db20b925dd4081226c87ecb8e09c4ee7f1c6dd SHA512 f10048492e33fcf68b94cd24e4e5091b54adb7a848dbf2160b5a8a88e3aac2af8c15a421e4dda8ed14eb9d8e4d6830c5aaace3ec67038786f11d2c37f51ae607
+DIST pdm-backend-2.3.0.gh.tar.gz 134657 BLAKE2B 346011ed97111e54c9cd063e216aa5943e6dd5ac1e531ceed225bf07420d07131aca0d6c23d24c0ba11e2e4a8c581b8c1cb1c8b7efa9c7a030d48ba982264dce SHA512 0169b97b662a0520c9810d566b74b6ef378db083954064ee37e8ed8cc40375a556500c307cebb9e269c3192b9f9b8659f575f0d24d67f970b3797e2354b53d54
diff --git a/dev-python/pdm-backend/pdm-backend-2.3.0.ebuild b/dev-python/pdm-backend/pdm-backend-2.3.0.ebuild
new file mode 100644
index 000000000000..af801fb38915
--- /dev/null
+++ b/dev-python/pdm-backend/pdm-backend-2.3.0.ebuild
@@ -0,0 +1,69 @@
+# Copyright 2022-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=standalone
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit distutils-r1
+
+DESCRIPTION="A PEP 517 backend for PDM that supports PEP 621 metadata"
+HOMEPAGE="
+ https://pypi.org/project/pdm-backend/
+ https://github.com/pdm-project/pdm-backend/
+"
+SRC_URI="
+ https://github.com/pdm-project/pdm-backend/archive/${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+
+# see src/pdm/backend/_vendor/vendor.txt
+RDEPEND="
+ >=dev-python/packaging-24.0[${PYTHON_USEDEP}]
+ >=dev-python/pyproject-metadata-0.8.0[${PYTHON_USEDEP}]
+ >=dev-python/tomli-w-1.0.0[${PYTHON_USEDEP}]
+
+ $(python_gen_cond_dep '
+ >=dev-python/tomli-2.0.1[${PYTHON_USEDEP}]
+ ' 3.10)
+"
+BDEPEND="
+ ${RDEPEND}
+ test? (
+ dev-python/setuptools[${PYTHON_USEDEP}]
+ dev-vcs/git
+ )
+"
+# setuptools are used to build C extensions
+RDEPEND+="
+ dev-python/setuptools[${PYTHON_USEDEP}]
+"
+
+distutils_enable_tests pytest
+
+src_prepare() {
+ rm -r src/pdm/backend/_vendor || die
+ find -name '*.py' -exec sed \
+ -e 's:from pdm\.backend\._vendor\.:from :' \
+ -e 's:from pdm\.backend\._vendor ::' \
+ -e 's:import pdm\.backend\._vendor\.:import :' \
+ -i {} + || die
+ distutils-r1_src_prepare
+}
+
+src_compile() {
+ # this must not be set during src_test()
+ local -x PDM_BUILD_SCM_VERSION=${PV}
+ distutils-r1_src_compile
+}
+
+src_test() {
+ git config --global user.email "test@example.com" || die
+ git config --global user.name "Test User" || die
+ distutils-r1_src_test
+}
diff --git a/dev-python/pyarrow/pyarrow-16.0.0.ebuild b/dev-python/pyarrow/pyarrow-16.0.0.ebuild
index ac8ab31469f9..375bc93b77a4 100644
--- a/dev-python/pyarrow/pyarrow-16.0.0.ebuild
+++ b/dev-python/pyarrow/pyarrow-16.0.0.ebuild
@@ -20,7 +20,7 @@ S="${WORKDIR}/apache-arrow-${PV}/python"
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="~amd64 ~arm64 ~hppa ~riscv ~x86"
+KEYWORDS="~amd64 ~arm64 ~hppa ~loong ~riscv ~x86"
IUSE="+parquet +snappy ssl"
RDEPEND="
diff --git a/dev-python/pycxx/pycxx-7.1.7-r1.ebuild b/dev-python/pycxx/pycxx-7.1.7-r1.ebuild
index 8a5691565bab..d737b2bd9698 100644
--- a/dev-python/pycxx/pycxx-7.1.7-r1.ebuild
+++ b/dev-python/pycxx/pycxx-7.1.7-r1.ebuild
@@ -11,7 +11,7 @@ inherit distutils-r1
DESCRIPTION="Set of facilities to extend Python with C++"
HOMEPAGE="http://cxx.sourceforge.net"
-SRC_URI="mirror://sourceforge/cxx/${P}.tar.gz"
+SRC_URI="https://downloads.sourceforge.net/cxx/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
diff --git a/dev-python/pycxx/pycxx-7.1.7.ebuild b/dev-python/pycxx/pycxx-7.1.7.ebuild
index 0f3b3b33989f..e7d7fd65f7f3 100644
--- a/dev-python/pycxx/pycxx-7.1.7.ebuild
+++ b/dev-python/pycxx/pycxx-7.1.7.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI="8"
@@ -11,7 +11,7 @@ inherit distutils-r1
DESCRIPTION="Set of facilities to extend Python with C++"
HOMEPAGE="http://cxx.sourceforge.net"
-SRC_URI="mirror://sourceforge/cxx/${P}.tar.gz"
+SRC_URI="https://downloads.sourceforge.net/cxx/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
diff --git a/dev-python/pycxx/pycxx-7.1.8.ebuild b/dev-python/pycxx/pycxx-7.1.8.ebuild
index 8a5691565bab..d737b2bd9698 100644
--- a/dev-python/pycxx/pycxx-7.1.8.ebuild
+++ b/dev-python/pycxx/pycxx-7.1.8.ebuild
@@ -11,7 +11,7 @@ inherit distutils-r1
DESCRIPTION="Set of facilities to extend Python with C++"
HOMEPAGE="http://cxx.sourceforge.net"
-SRC_URI="mirror://sourceforge/cxx/${P}.tar.gz"
+SRC_URI="https://downloads.sourceforge.net/cxx/${P}.tar.gz"
LICENSE="BSD"
SLOT="0"
diff --git a/dev-python/pymongo/Manifest b/dev-python/pymongo/Manifest
index c14826e5e382..6bfcedfb1fbd 100644
--- a/dev-python/pymongo/Manifest
+++ b/dev-python/pymongo/Manifest
@@ -1,2 +1,3 @@
DIST mongo-python-driver-4.6.3.gh.tar.gz 1494158 BLAKE2B bc876e121364154940b2aa92049089a3b3ea4a40ea7f785012c7f2d65840d9ef6cfc7413c832712ba2b06b2030438d598dc52cbd71190524cd90d5bafa06e745 SHA512 a6911a1619663e068f2d239e1d0a74bfad7347f40f8e5044f6a09802ac83ee3cc962722ff3cdcd7af1a2ffdb3f1a170d98620b83be2c9463d66fecca01b99543
DIST mongo-python-driver-4.7.0.gh.tar.gz 1548372 BLAKE2B 48bdddf66ab083836035dec6be4a5a227e49ef6f47493de684f3216c6b1a4231f37b674f0c527476c616809049325369a268e4f48b08317157be1a396f046fe4 SHA512 5cf80e938160cdfc7fd90494bd6e6c210a7176179f8bf1d0c1c139959e06f05efe295bf415eb816fec9bdaf245a9fe5d514b82a75441e2c13cc4d9f65c53724c
+DIST mongo-python-driver-4.7.1.gh.tar.gz 1548181 BLAKE2B 7d78112b7afaf71726c56672ce4298999e0c8fcb79ac314df86e6abf92d7f721c88a9245785f559c6c3969a33ffef2391abb3f926919628c56a6849ec6a98359 SHA512 d8824c17f035b741920f9be110f7963c1636c8268c67738a03bcf573194f2a6286001c44b14c99f53407c6e546d46400e8a4d4a3d007f737a29d2c495d49e300
diff --git a/dev-python/pymongo/pymongo-4.7.1.ebuild b/dev-python/pymongo/pymongo-4.7.1.ebuild
new file mode 100644
index 000000000000..c743921fc1f2
--- /dev/null
+++ b/dev-python/pymongo/pymongo-4.7.1.ebuild
@@ -0,0 +1,156 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_EXT=1
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
+
+inherit check-reqs distutils-r1
+
+MY_P=mongo-python-driver-${PV}
+DESCRIPTION="Python driver for MongoDB"
+HOMEPAGE="
+ https://github.com/mongodb/mongo-python-driver/
+ https://pypi.org/project/pymongo/
+"
+SRC_URI="
+ https://github.com/mongodb/mongo-python-driver/archive/${PV}.tar.gz
+ -> ${MY_P}.gh.tar.gz
+"
+S=${WORKDIR}/${MY_P}
+
+LICENSE="Apache-2.0"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+IUSE="doc kerberos +native-extensions +test-full"
+
+RDEPEND="
+ <dev-python/dnspython-3.0.0[${PYTHON_USEDEP}]
+ kerberos? ( dev-python/kerberos[${PYTHON_USEDEP}] )
+"
+BDEPEND="
+ test? (
+ test-full? (
+ >=dev-db/mongodb-2.6.0
+ )
+ )
+"
+
+distutils_enable_sphinx doc
+distutils_enable_tests pytest
+
+reqcheck() {
+ if use test && use test-full; then
+ # During the tests, database size reaches 1.5G.
+ local CHECKREQS_DISK_BUILD=1536M
+
+ check-reqs_${1}
+ fi
+}
+
+pkg_pretend() {
+ reqcheck pkg_pretend
+}
+
+pkg_setup() {
+ reqcheck pkg_setup
+}
+
+python_compile() {
+ # causes build errors to be fatal
+ local -x TOX_ENV_NAME=whatever
+ local DISTUTILS_ARGS=()
+ # unconditionally implicitly disabled on pypy3
+ if ! use native-extensions; then
+ DISTUTILS_ARGS+=( --no_ext )
+ else
+ export PYMONGO_C_EXT_MUST_BUILD=1
+ fi
+
+ distutils-r1_python_compile
+}
+
+python_test() {
+ rm -rf bson pymongo || die
+
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ local EPYTEST_DESELECT=(
+ # network-sandbox
+ test/test_client.py::ClientUnitTest::test_connection_timeout_ms_propagates_to_DNS_resolver
+ test/test_client.py::ClientUnitTest::test_detected_environment_logging
+ test/test_client.py::ClientUnitTest::test_detected_environment_warning
+ test/test_client.py::TestClient::test_service_name_from_kwargs
+ test/test_client.py::TestClient::test_srv_max_hosts_kwarg
+ test/test_dns.py::TestCaseInsensitive::test_connect_case_insensitive
+ test/test_srv_polling.py
+ test/test_uri_spec.py::TestAllScenarios::test_test_uri_options_srv-options_SRV_URI_with_custom_srvServiceName
+ test/test_uri_spec.py::TestAllScenarios::test_test_uri_options_srv-options_SRV_URI_with_invalid_type_for_srvMaxHosts
+ test/test_uri_spec.py::TestAllScenarios::test_test_uri_options_srv-options_SRV_URI_with_negative_integer_for_srvMaxHosts
+ test/test_uri_spec.py::TestAllScenarios::test_test_uri_options_srv-options_SRV_URI_with_positive_srvMaxHosts_and_loadBalanced=fa
+ test/test_uri_spec.py::TestAllScenarios::test_test_uri_options_srv-options_SRV_URI_with_srvMaxHosts
+ test/test_uri_spec.py::TestAllScenarios::test_test_uri_options_srv-options_SRV_URI_with_srvMaxHosts=0_and_loadBalanced=true
+ test/test_uri_spec.py::TestAllScenarios::test_test_uri_options_srv-options_SRV_URI_with_srvMaxHosts=0_and_replicaSet
+
+ # broken regularly by changes in mypy
+ test/test_typing.py::TestMypyFails::test_mypy_failures
+ )
+
+ if ! use test-full; then
+ # .invalid is guaranteed to return NXDOMAIN per RFC 6761
+ local -x DB_IP=mongodb.invalid
+ epytest
+ return
+ fi
+
+ # Yes, we need TCP/IP for that...
+ local -x DB_IP=127.0.0.1
+ local -x DB_PORT=27000
+
+ local dbpath=${TMPDIR}/mongo.db
+ local logpath=${TMPDIR}/mongod.log
+
+ # Now, the hard part: we need to find a free port for mongod.
+ # We're just trying to run it random port numbers and check the log
+ # for bind errors. It shall be noted that 'mongod --fork' does not
+ # return failure when it fails to bind.
+
+ mkdir -p "${dbpath}" || die
+ while true; do
+ ebegin "Trying to start mongod on port ${DB_PORT}"
+
+ LC_ALL=C \
+ mongod --dbpath "${dbpath}" --nojournal \
+ --bind_ip ${DB_IP} --port ${DB_PORT} \
+ --unixSocketPrefix "${TMPDIR}" \
+ --logpath "${logpath}" --fork \
+ && sleep 2
+
+ # Now we need to check if the server actually started...
+ if [[ ${?} -eq 0 && -S "${TMPDIR}"/mongodb-${DB_PORT}.sock ]]; then
+ # yay!
+ eend 0
+ break
+ elif grep -q 'Address already in use' "${logpath}"; then
+ # ay, someone took our port!
+ eend 1
+ : $(( DB_PORT += 1 ))
+ continue
+ else
+ eend 1
+ eerror "Unable to start mongod for tests. See the server log:"
+ eerror " ${logpath}"
+ die "Unable to start mongod for tests."
+ fi
+ done
+
+ local failed
+ nonfatal epytest || failed=1
+
+ mongod --dbpath "${dbpath}" --shutdown || die
+
+ [[ ${failed} ]] && die "Tests fail with ${EPYTHON}"
+
+ rm -rf "${dbpath}" || die
+}
diff --git a/dev-python/pyrate-limiter/Manifest b/dev-python/pyrate-limiter/Manifest
index 62f1e9eab14b..55c15d3fb6d2 100644
--- a/dev-python/pyrate-limiter/Manifest
+++ b/dev-python/pyrate-limiter/Manifest
@@ -1,5 +1,3 @@
DIST pyrate-limiter-2.10.0.gh.tar.gz 71838 BLAKE2B 3b8fd16684268870991c3a731c5497802c6f7be51e57bc983a14a7484fad2d0983613304fa061fdb70a3e6645d17fe37fbd68e9ddeca57bc7bd97fef4a5d8585 SHA512 b0090b2d80d40ba2f86ac7b5c5612a35fa885b52a87d783aa9726782275e79ca8d54a9a44b1f0dd43c98bf2355f4c17e1686d7c7f806934ea492b67f66b06ffe
-DIST pyrate_limiter-3.2.1.tar.gz 277166 BLAKE2B eb126b94bc9a113addd1e727ae21ee2df447e1f9fc0b3a1b77ab46464186a0cb62584fafbc9fac1ddbcc7c3289338208dfb39070e57e974e00442b1d7c5f0d21 SHA512 cb782766c2e1e47aeb35c3d7d03f9a82862a53e73b5afdab1b8a255866392cf0636340164c19e4181e8aa4327e9c346fc2fde64b2f50aaf227dd60633038f7c7
-DIST pyrate_limiter-3.3.0.tar.gz 278153 BLAKE2B df0e3aaf53150fb905be994c8bcc268e45bafddf795514eb8a6ee56da25e998b85336f48331a2720cbf501cb6feee806c9c17d99adcb4647979f6d79f960cc9f SHA512 ee2cc0c573c7b696e6a6444eca85b4e5c8315c291b6ab64ed5e60cfd54298cd9aca1efdbfb7a669b92f8169848c03287ecb0a3f50c9281a4bc15acfc1713e300
-DIST pyrate_limiter-3.4.1.tar.gz 278251 BLAKE2B c1894a190d0d70134683723d8ffa2b216ebf724cd409e9cc25301b9a9d70d73cf1e4fc1c7bf48e661935cc6f2c530b9d45f96d7c86ce2a20ab0e47892093e6d3 SHA512 64c06abaf540e21e4b085062eff83f1f9d1710156c2d22c0180858c31f731733d9db69bdc56e48aaf4220d874d9c5253f506decd0ce3743c8fb8aa695a4ff6b4
DIST pyrate_limiter-3.6.0.tar.gz 280021 BLAKE2B 4ff5e115376cfb5d860c4cd6437ccbb323e40f96bb81a9933f6f648d029c0f3a1d6674e1a9e1c0309a7087a9d1eb670918ca60d3c960e8acab017e12ffa5c28e SHA512 1f7f92203be443c27e2825022462c51eec2e276a4e58afc129599eacde21da55ed8229b0e5c7af21e650eb896b22c73f5fd227f56c1455cbd8d506894fed73a9
+DIST pyrate_limiter-3.6.1.tar.gz 280264 BLAKE2B 042601c2f80fc855301cda8be4af2547afdfb9532a93a418201db312535a12fa30b2469024ee318a14cb51f4555522b70b6aeef96d41978eb8f8c31d046a0a73 SHA512 b57cbd40473eab549ede0045451d1178dccfcac73f328bf4fe8106172602b52bafe612e2fa2df09f9fe99bdf68c3c7447e8d4f749ba260f3b29656100718c02b
diff --git a/dev-python/pyrate-limiter/pyrate-limiter-3.2.1.ebuild b/dev-python/pyrate-limiter/pyrate-limiter-3.2.1.ebuild
deleted file mode 100644
index 413645b34da5..000000000000
--- a/dev-python/pyrate-limiter/pyrate-limiter-3.2.1.ebuild
+++ /dev/null
@@ -1,74 +0,0 @@
-# Copyright 1999-2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=poetry
-PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
-
-inherit distutils-r1 pypi
-
-DESCRIPTION="Python Rate-Limiter using Leaky-Bucket Algorimth Family"
-HOMEPAGE="
- https://github.com/vutran1710/PyrateLimiter/
- https://pypi.org/project/pyrate-limiter/
-"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-RDEPEND="
- dev-python/filelock[${PYTHON_USEDEP}]
- dev-python/redis[${PYTHON_USEDEP}]
-"
-
-BDEPEND="
- test? (
- dev-db/redis
- dev-python/pytest-asyncio[${PYTHON_USEDEP}]
- dev-python/pytest-rerunfailures[${PYTHON_USEDEP}]
- dev-python/pyyaml[${PYTHON_USEDEP}]
- )
-"
-
-EPYTEST_DESELECT=(
- # Optional dependency redis-py-cluster not packaged
- "tests/test_02.py::test_redis_cluster"
-)
-EPYTEST_XDIST=1
-
-distutils_enable_sphinx docs \
- dev-python/sphinx-autodoc-typehints \
- dev-python/sphinx-copybutton \
- dev-python/furo \
- dev-python/myst-parser \
- dev-python/sphinxcontrib-apidoc
-distutils_enable_tests pytest
-
-src_test() {
- local redis_pid="${T}"/redis.pid
- local redis_port=6379
-
- # Spawn Redis itself for testing purposes
- einfo "Spawning Redis"
- einfo "NOTE: Port ${redis_port} must be free"
- "${EPREFIX}"/usr/sbin/redis-server - <<- EOF || die "Unable to start redis server"
- daemonize yes
- pidfile ${redis_pid}
- port ${redis_port}
- bind 127.0.0.1 ::1
- ${extra_conf}
- EOF
-
- # Run the tests
- distutils-r1_src_test
-
- # Clean up afterwards
- kill "$(<"${redis_pid}")" || die
-}
-
-python_test() {
- local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
- epytest -p asyncio -p rerunfailures --reruns=5
-}
diff --git a/dev-python/pyrate-limiter/pyrate-limiter-3.3.0.ebuild b/dev-python/pyrate-limiter/pyrate-limiter-3.3.0.ebuild
deleted file mode 100644
index 413645b34da5..000000000000
--- a/dev-python/pyrate-limiter/pyrate-limiter-3.3.0.ebuild
+++ /dev/null
@@ -1,74 +0,0 @@
-# Copyright 1999-2024 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=8
-
-DISTUTILS_USE_PEP517=poetry
-PYTHON_COMPAT=( python3_{8,9,10,11,12} pypy3 )
-
-inherit distutils-r1 pypi
-
-DESCRIPTION="Python Rate-Limiter using Leaky-Bucket Algorimth Family"
-HOMEPAGE="
- https://github.com/vutran1710/PyrateLimiter/
- https://pypi.org/project/pyrate-limiter/
-"
-
-LICENSE="MIT"
-SLOT="0"
-KEYWORDS="~amd64 ~x86"
-
-RDEPEND="
- dev-python/filelock[${PYTHON_USEDEP}]
- dev-python/redis[${PYTHON_USEDEP}]
-"
-
-BDEPEND="
- test? (
- dev-db/redis
- dev-python/pytest-asyncio[${PYTHON_USEDEP}]
- dev-python/pytest-rerunfailures[${PYTHON_USEDEP}]
- dev-python/pyyaml[${PYTHON_USEDEP}]
- )
-"
-
-EPYTEST_DESELECT=(
- # Optional dependency redis-py-cluster not packaged
- "tests/test_02.py::test_redis_cluster"
-)
-EPYTEST_XDIST=1
-
-distutils_enable_sphinx docs \
- dev-python/sphinx-autodoc-typehints \
- dev-python/sphinx-copybutton \
- dev-python/furo \
- dev-python/myst-parser \
- dev-python/sphinxcontrib-apidoc
-distutils_enable_tests pytest
-
-src_test() {
- local redis_pid="${T}"/redis.pid
- local redis_port=6379
-
- # Spawn Redis itself for testing purposes
- einfo "Spawning Redis"
- einfo "NOTE: Port ${redis_port} must be free"
- "${EPREFIX}"/usr/sbin/redis-server - <<- EOF || die "Unable to start redis server"
- daemonize yes
- pidfile ${redis_pid}
- port ${redis_port}
- bind 127.0.0.1 ::1
- ${extra_conf}
- EOF
-
- # Run the tests
- distutils-r1_src_test
-
- # Clean up afterwards
- kill "$(<"${redis_pid}")" || die
-}
-
-python_test() {
- local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
- epytest -p asyncio -p rerunfailures --reruns=5
-}
diff --git a/dev-python/pyrate-limiter/pyrate-limiter-3.4.1.ebuild b/dev-python/pyrate-limiter/pyrate-limiter-3.6.1.ebuild
index 413645b34da5..53f31602a265 100644
--- a/dev-python/pyrate-limiter/pyrate-limiter-3.4.1.ebuild
+++ b/dev-python/pyrate-limiter/pyrate-limiter-3.6.1.ebuild
@@ -70,5 +70,6 @@ src_test() {
python_test() {
local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
- epytest -p asyncio -p rerunfailures --reruns=5
+ # postgres tests require psycopg-pool
+ epytest -p asyncio -p rerunfailures --reruns=5 -k "not postgres"
}
diff --git a/dev-python/pysvn/pysvn-1.9.18.ebuild b/dev-python/pysvn/pysvn-1.9.18.ebuild
index f93469312464..9ba26993e750 100644
--- a/dev-python/pysvn/pysvn-1.9.18.ebuild
+++ b/dev-python/pysvn/pysvn-1.9.18.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -10,7 +10,7 @@ inherit distutils-r1 toolchain-funcs
DESCRIPTION="Object-oriented python bindings for subversion"
HOMEPAGE="https://pysvn.sourceforge.io/"
-SRC_URI="mirror://sourceforge/project/pysvn/pysvn/V${PV}/${P}.tar.gz"
+SRC_URI="https://downloads.sourceforge.net/project/pysvn/pysvn/V${PV}/${P}.tar.gz"
LICENSE="Apache-1.1"
SLOT="0"
diff --git a/dev-python/pysvn/pysvn-1.9.22.ebuild b/dev-python/pysvn/pysvn-1.9.22.ebuild
index ef7500d134da..5a62f8b3b361 100644
--- a/dev-python/pysvn/pysvn-1.9.22.ebuild
+++ b/dev-python/pysvn/pysvn-1.9.22.ebuild
@@ -10,7 +10,7 @@ inherit distutils-r1 toolchain-funcs
DESCRIPTION="Object-oriented python bindings for subversion"
HOMEPAGE="https://pysvn.sourceforge.io/"
-SRC_URI="mirror://sourceforge/project/pysvn/pysvn/V${PV}/${P}.tar.gz"
+SRC_URI="https://downloads.sourceforge.net/project/pysvn/pysvn/V${PV}/${P}.tar.gz"
LICENSE="Apache-1.1"
SLOT="0"
diff --git a/dev-python/pytest-subprocess/pytest-subprocess-1.5.0.ebuild b/dev-python/pytest-subprocess/pytest-subprocess-1.5.0.ebuild
index d223b4c2444f..bdcea7708e8c 100644
--- a/dev-python/pytest-subprocess/pytest-subprocess-1.5.0.ebuild
+++ b/dev-python/pytest-subprocess/pytest-subprocess-1.5.0.ebuild
@@ -1,4 +1,4 @@
-# Copyright 2023 Gentoo Authors
+# Copyright 2023-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -20,7 +20,7 @@ SRC_URI="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
RDEPEND="
>=dev-python/pytest-4.0.0[${PYTHON_USEDEP}]
diff --git a/dev-python/pythondialog/pythondialog-3.5.3.ebuild b/dev-python/pythondialog/pythondialog-3.5.3.ebuild
index aeb5f7a75305..859cb23da5d3 100644
--- a/dev-python/pythondialog/pythondialog-3.5.3.ebuild
+++ b/dev-python/pythondialog/pythondialog-3.5.3.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -10,7 +10,7 @@ inherit distutils-r1
DESCRIPTION="A Python module for making simple text/console-mode user interfaces"
HOMEPAGE="https://pythondialog.sourceforge.io/"
-SRC_URI="mirror://sourceforge/project/${PN}/${PN}/${PV}/python3-${P}.tar.bz2"
+SRC_URI="https://downloads.sourceforge.net/project/${PN}/${PN}/${PV}/python3-${P}.tar.bz2"
LICENSE="LGPL-2"
SLOT="0"
diff --git a/dev-python/pyzmq/pyzmq-26.0.2.ebuild b/dev-python/pyzmq/pyzmq-26.0.2.ebuild
index b99e7888d20e..c32fda5c781c 100644
--- a/dev-python/pyzmq/pyzmq-26.0.2.ebuild
+++ b/dev-python/pyzmq/pyzmq-26.0.2.ebuild
@@ -23,7 +23,7 @@ SRC_URI="
LICENSE="LGPL-3"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~x64-macos"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~m68k ~mips ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86 ~amd64-linux ~x86-linux ~arm64-macos ~x64-macos"
IUSE="drafts"
# There are additional test failures if zeromq has the draft api enabled, but pyzmq has it disabled.
diff --git a/dev-python/ruamel-yaml/ruamel-yaml-0.17.40.ebuild b/dev-python/ruamel-yaml/ruamel-yaml-0.17.40.ebuild
index 9d269af1a38e..845ce5cc6c44 100644
--- a/dev-python/ruamel-yaml/ruamel-yaml-0.17.40.ebuild
+++ b/dev-python/ruamel-yaml/ruamel-yaml-0.17.40.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -15,7 +15,7 @@ HOMEPAGE="
https://sourceforge.net/projects/ruamel-yaml/
"
# PyPI tarballs do not include tests
-SRC_URI="mirror://sourceforge/ruamel-dl-tagged-releases/${MY_P}.tar.xz"
+SRC_URI="https://downloads.sourceforge.net/ruamel-dl-tagged-releases/${MY_P}.tar.xz"
S="${WORKDIR}"/${MY_P}
LICENSE="MIT"
diff --git a/dev-python/ruamel-yaml/ruamel-yaml-0.18.6.ebuild b/dev-python/ruamel-yaml/ruamel-yaml-0.18.6.ebuild
index 7623956ecad1..c6d508a08582 100644
--- a/dev-python/ruamel-yaml/ruamel-yaml-0.18.6.ebuild
+++ b/dev-python/ruamel-yaml/ruamel-yaml-0.18.6.ebuild
@@ -15,7 +15,7 @@ HOMEPAGE="
https://sourceforge.net/projects/ruamel-yaml/
"
# PyPI tarballs do not include tests
-SRC_URI="mirror://sourceforge/ruamel-dl-tagged-releases/${MY_P}.tar.xz"
+SRC_URI="https://downloads.sourceforge.net/ruamel-dl-tagged-releases/${MY_P}.tar.xz"
S="${WORKDIR}"/${MY_P}
LICENSE="MIT"
diff --git a/dev-python/scikit-build-core/scikit-build-core-0.9.3.ebuild b/dev-python/scikit-build-core/scikit-build-core-0.9.3.ebuild
index bc7ccf1f1709..853b0772cfe7 100644
--- a/dev-python/scikit-build-core/scikit-build-core-0.9.3.ebuild
+++ b/dev-python/scikit-build-core/scikit-build-core-0.9.3.ebuild
@@ -16,7 +16,7 @@ HOMEPAGE="
LICENSE="Apache-2.0"
SLOT="0"
-KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~loong ~ppc ~ppc64 ~riscv ~s390 ~sparc ~x86"
# we always want [pyproject] extra
RDEPEND="
diff --git a/dev-python/shapely/shapely-2.0.4.ebuild b/dev-python/shapely/shapely-2.0.4-r1.ebuild
index 80acbe3d4ef0..83a652ec196f 100644
--- a/dev-python/shapely/shapely-2.0.4.ebuild
+++ b/dev-python/shapely/shapely-2.0.4-r1.ebuild
@@ -26,11 +26,11 @@ SLOT="0"
KEYWORDS="~amd64 ~arm64 ~x86"
DEPEND="
+ dev-python/numpy:=[${PYTHON_USEDEP}]
>=sci-libs/geos-3.9
"
RDEPEND="
${DEPEND}
- dev-python/numpy[${PYTHON_USEDEP}]
"
BDEPEND="
${DEPEND}
diff --git a/dev-python/sqlalchemy/sqlalchemy-2.0.29.ebuild b/dev-python/sqlalchemy/sqlalchemy-2.0.29.ebuild
index d6607f73c278..68705271b766 100644
--- a/dev-python/sqlalchemy/sqlalchemy-2.0.29.ebuild
+++ b/dev-python/sqlalchemy/sqlalchemy-2.0.29.ebuild
@@ -22,7 +22,7 @@ S="${WORKDIR}/${MY_PN}-${PV}"
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 sparc x86 ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x64-solaris"
IUSE="examples +sqlite test"
RDEPEND="
diff --git a/dev-python/typeguard/typeguard-4.2.1.ebuild b/dev-python/typeguard/typeguard-4.2.1.ebuild
index 217a21d23ed1..fb164ad442a7 100644
--- a/dev-python/typeguard/typeguard-4.2.1.ebuild
+++ b/dev-python/typeguard/typeguard-4.2.1.ebuild
@@ -16,7 +16,7 @@ HOMEPAGE="
LICENSE="MIT"
SLOT="0"
-KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~loong ~mips ppc ppc64 ~riscv ~s390 sparc x86"
+KEYWORDS="~alpha amd64 arm arm64 hppa ~ia64 ~loong ~mips ppc ppc64 ~riscv ~s390 sparc x86"
RDEPEND="
$(python_gen_cond_dep '
diff --git a/dev-python/weasyprint/Manifest b/dev-python/weasyprint/Manifest
index 0f589282331a..c917bdb4ff36 100644
--- a/dev-python/weasyprint/Manifest
+++ b/dev-python/weasyprint/Manifest
@@ -1 +1,2 @@
DIST weasyprint-61.2.tar.gz 447333 BLAKE2B 753f80ee0756e75b46023d29b8409599de9ff9f7f338a7800cf917a012f61c6a50857af813e4cbfe1ddfa913f95befc43719688468449d6f1b8d8df3714a7895 SHA512 62c3afba18bcc141bc013b95848b0e2426160123533509b6e353caa6c33173266524be84b0a50443ac2549b1b8013e5eb915f54a68168d65e98c9251c4fdf339
+DIST weasyprint-62.0.tar.gz 475383 BLAKE2B 3c390c06366f280eb0f1a949cde2e073dbe5155db78b16d5c557c2c7a4a7ee22c5e22cc36ad000171471a7d027e2508df9363c99b6c9fb151eb3367e8c7b686f SHA512 83b5c9a20a9a8e8fdeb1f54182da2b821ad84510a71b1a66c33f31376c7b54e79c565d2de1b16051688fab505ce726430fc69b9358ea29b38d158f776744a738
diff --git a/dev-python/weasyprint/weasyprint-62.0.ebuild b/dev-python/weasyprint/weasyprint-62.0.ebuild
new file mode 100644
index 000000000000..b138d743eaae
--- /dev/null
+++ b/dev-python/weasyprint/weasyprint-62.0.ebuild
@@ -0,0 +1,47 @@
+# Copyright 1999-2024 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=flit
+PYTHON_COMPAT=( python3_{8,9,10,11,12} )
+
+inherit distutils-r1 pypi
+
+DESCRIPTION="Visual rendering engine for HTML and CSS that can export to PDF"
+HOMEPAGE="
+ https://weasyprint.org/
+ https://github.com/Kozea/WeasyPrint/
+ https://pypi.org/project/weasyprint/
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+ >=dev-python/cffi-0.6:=[${PYTHON_USEDEP}]
+ >=dev-python/cssselect2-0.1[${PYTHON_USEDEP}]
+ >=dev-python/fonttools-4.0.0[${PYTHON_USEDEP}]
+ >=dev-python/html5lib-1.1[${PYTHON_USEDEP}]
+ >=dev-python/pillow-4.0.0[jpeg,jpeg2k,${PYTHON_USEDEP}]
+ >=dev-python/pydyf-0.10.0[${PYTHON_USEDEP}]
+ >=dev-python/pyphen-0.9.1[${PYTHON_USEDEP}]
+ >=dev-python/tinycss2-1.3.0[${PYTHON_USEDEP}]
+ media-fonts/dejavu
+ x11-libs/pango
+"
+
+BDEPEND="
+ test? (
+ >=app-text/ghostscript-gpl-9.56.1-r3
+ media-fonts/ahem
+ )
+"
+
+distutils_enable_tests pytest
+
+python_test() {
+ local -x PYTEST_DISABLE_PLUGIN_AUTOLOAD=1
+ epytest
+}
diff --git a/dev-python/yapsy/yapsy-1.12.2-r2.ebuild b/dev-python/yapsy/yapsy-1.12.2-r2.ebuild
index 732d088e13b5..de5ed95766fc 100644
--- a/dev-python/yapsy/yapsy-1.12.2-r2.ebuild
+++ b/dev-python/yapsy/yapsy-1.12.2-r2.ebuild
@@ -1,4 +1,4 @@
-# Copyright 1999-2023 Gentoo Authors
+# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2
EAPI=8
@@ -14,7 +14,7 @@ HOMEPAGE="
https://github.com/tibonihoo/yapsy/
https://pypi.org/project/Yapsy/
"
-SRC_URI="mirror://sourceforge/yapsy/${MY_P}/${MY_P}.tar.gz"
+SRC_URI="https://downloads.sourceforge.net/yapsy/${MY_P}/${MY_P}.tar.gz"
S=${WORKDIR}/${MY_P}
LICENSE="BSD"